import { ReplaySubject as f } from "./index-ReplaySubject.js";
import { share as u } from "./index-share2.js";
function p(r, t, n) {
  var e, o = !1;
  return e = r, u({
    connector: function() {
      return new f(e, t, n);
    },
    resetOnError: !0,
    resetOnComplete: !1,
    resetOnRefCountZero: o
  });
}
export {
  p as shareReplay
};
